This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes

Bug 800607 (CVE-2012-1144)

Summary: CVE-2012-1144 freetype: insufficient checking of first outline point in TTF parser (#35689)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: behdad, fonts-bugs, jrusnack, kevin, mkasik
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20120302,reported=20120302,source=customer,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/freetype=affected,rhel-6/freetype=affected,fedora-all/freetype=affected,fedora-all/mingw32-freetype=affected,cwe=(CWE-122|CWE-787)
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-24 16:02:16 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 806266, 806267, 806268, 806269, 806270, 806271, 889398    
Bug Blocks: 800639    

Description Jan Lieskovsky 2012-03-06 14:00:00 EST
An out-of heap-based buffer write flaw was found in the way TrueType bytecode / opcode interpreter of the FreeType font rendering engine performed moving of zone2 pointer point by execution of 'SHift Contour' (SHC) instruction. A remote attacker could provide a specially-crafted font file, which once opened in an application linked against FreeType would lead to that application crash, or, potentially arbitrary code execution with the privileges of the user running the application.

Upstream bug report:
[1] https://savannah.nongnu.org/bugs/?35689

Upstream patch:
[2] http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=0fc8debeb6c2f6a8a9a2b97332a7c8a0a1bd9e85

Acknowledgements:

Red Hat would like to thank Mateusz Jurczyk of the Google Security Team for reporting this issue.
Comment 1 Kurt Seifried 2012-03-06 15:58:55 EST
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/06/16
Comment 2 Tomas Hoger 2012-03-22 07:19:22 EDT
(In reply to comment #0)
> An out-of heap-based buffer write flaw was found in the way TrueType bytecode /
> opcode interpreter of the FreeType font rendering engine performed moving of
> zone2 pointer point by execution of 'SHift Contour' (SHC) instruction.

Bytecode interpreter (BCI) is where the problem surfaced, but it was addressed in a TTF loading code that is not BCI specific.  BCI support is disabled in Red Hat Enterprise Linux freetype packages and is only enabled upstream by default starting with version 2.4.
Comment 7 Tomas Hoger 2012-03-23 07:12:55 EDT
Created mingw32-freetype tracking bugs for this issue

Affects: fedora-all [bug 806271]
Comment 8 Tomas Hoger 2012-03-23 07:12:59 EDT
Created freetype tracking bugs for this issue

Affects: fedora-all [bug 806270]
Comment 10 errata-xmlrpc 2012-04-10 15:59:27 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0467 https://rhn.redhat.com/errata/RHSA-2012-0467.html